Index: libs/libmythtv/cc708decoder.h
===================================================================
--- libs/libmythtv/cc708decoder.h	(revision 20066)
+++ libs/libmythtv/cc708decoder.h	(working copy)
@@ -6,7 +6,7 @@
 
 #include <stdint.h>
 
-#include <qstringlist.h>
+#include <QStringList>
 
 #include "format.h"
 #include "compat.h"
Index: libs/libmythtv/ttfont.h
===================================================================
--- libs/libmythtv/ttfont.h	(revision 20066)
+++ libs/libmythtv/ttfont.h	(working copy)
@@ -5,9 +5,9 @@
 #include FT_FREETYPE_H
 #include FT_GLYPH_H
 
-#include <qstring.h>
-#include <qmap.h>
-#include <qcolor.h>
+#include <QString>
+#include <QMap>
+#include <QColor>
 
 #include "mythconfig.h"
 
Index: libs/libmythtv/dummychannel.h
===================================================================
--- libs/libmythtv/dummychannel.h	(revision 20066)
+++ libs/libmythtv/dummychannel.h	(working copy)
@@ -6,7 +6,8 @@
 #ifndef DUMMYCHANNEL_H
 #define DUMMYCHANNEL_H
 
-#include <qstring.h>
+#include <QString>
+
 #include "tv_rec.h"
 #include "channelbase.h"
 
Index: libs/libmythtv/dvbstreamhandler.h
===================================================================
--- libs/libmythtv/dvbstreamhandler.h	(revision 20066)
+++ libs/libmythtv/dvbstreamhandler.h	(working copy)
@@ -6,14 +6,13 @@
 #include <vector>
 using namespace std;
 
-#include <qmap.h>
-#include <qmutex.h>
+#include <QMap>
+#include <QMutex>
 
 #include "util.h"
 #include "DeviceReadBuffer.h"
 #include "mpegstreamdata.h"
 
-class QString;
 class DVBStreamHandler;
 class DTVSignalMonitor;
 class DVBChannel;
Index: libs/libmythtv/playercontext.cpp
===================================================================
--- libs/libmythtv/playercontext.cpp	(revision 20066)
+++ libs/libmythtv/playercontext.cpp	(working copy)
@@ -1,7 +1,8 @@
 #include <math.h>
-#include <qtimer.h>
-#include <qpainter.h>
 
+#include <QTimer>
+#include <QPainter>
+
 #include "playercontext.h"
 #include "NuppelVideoPlayer.h"
 #include "remoteencoder.h"
Index: libs/libmythtv/sourceutil.h
===================================================================
--- libs/libmythtv/sourceutil.h	(revision 20066)
+++ libs/libmythtv/sourceutil.h	(working copy)
@@ -3,7 +3,7 @@
 #define _SOURCEUTIL_H_
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 #include "mythexp.h"
 
Index: libs/libmythtv/dvbchannel.h
===================================================================
--- libs/libmythtv/dvbchannel.h	(revision 20066)
+++ libs/libmythtv/dvbchannel.h	(working copy)
@@ -8,9 +8,9 @@
 #ifndef DVBCHANNEL_H
 #define DVBCHANNEL_H
 
-#include <qobject.h>
-#include <qstring.h>
-#include <qmap.h>
+#include <QObject>
+#include <QString>
+#include <QMap>
 
 #include "mythcontext.h"
 #include "mythdbcon.h"
Index: libs/libmythtv/NuppelVideoPlayer.h
===================================================================
--- libs/libmythtv/NuppelVideoPlayer.h	(revision 20066)
+++ libs/libmythtv/NuppelVideoPlayer.h	(working copy)
@@ -21,6 +21,7 @@
 #include "cc708window.h"
 
 #include "mythexp.h"
+#include <QKeyEvent>
 
 extern "C" {
 #include "filter.h"
Index: libs/libmythtv/eithelper.h
===================================================================
--- libs/libmythtv/eithelper.h	(revision 20066)
+++ libs/libmythtv/eithelper.h	(working copy)
@@ -6,9 +6,9 @@
 #include <stdint.h>
 
 // Qt includes
-#include <qmutex.h>
-#include <qobject.h>
-#include <qstring.h>
+#include <QMutex>
+#include <QObject>
+#include <QString>
 
 // MythTV includes
 #include "mythdeque.h"
Index: libs/libmythtv/DeviceReadBuffer.h
===================================================================
--- libs/libmythtv/DeviceReadBuffer.h	(revision 20066)
+++ libs/libmythtv/DeviceReadBuffer.h	(working copy)
@@ -7,9 +7,9 @@
 #include <unistd.h>
 #include <pthread.h>
 
-#include <qmutex.h>
-#include <qwaitcondition.h>
-#include <qstring.h>
+#include <QMutex>
+#include <QWaitCondition>
+#include <QString>
 
 #include "util.h"
 
Index: libs/libmythtv/dtvchannel.h
===================================================================
--- libs/libmythtv/dtvchannel.h	(revision 20066)
+++ libs/libmythtv/dtvchannel.h	(working copy)
@@ -15,8 +15,8 @@
 using namespace std;
 
 // Qt headers
-#include <qmutex.h>
-#include <qstring.h>
+#include <QMutex>
+#include <QString>
 
 // MythTV headers
 #include "channelbase.h"
Index: libs/libmythtv/darwinavcinfo.h
===================================================================
--- libs/libmythtv/darwinavcinfo.h	(revision 20066)
+++ libs/libmythtv/darwinavcinfo.h	(working copy)
@@ -16,7 +16,7 @@
 #include <IOKit/avc/IOFireWireAVCLib.h>
 
 // Qt headers
-#include <qmap.h>
+#include <QMap>
 
 // MythTV headers
 #include "avcinfo.h"
Index: libs/libmythtv/frequencytables.h
===================================================================
--- libs/libmythtv/frequencytables.h	(revision 20066)
+++ libs/libmythtv/frequencytables.h	(working copy)
@@ -8,9 +8,9 @@
 using namespace std;
 
 // Qt includes
-#include <qmap.h>
-#include <qstring.h>
-#include <qmutex.h>
+#include <QMap>
+#include <QString>
+#include <QMutex>
 #include <QList>
 
 // MythTV includes
Index: libs/libmythtv/dvbcam.h
===================================================================
--- libs/libmythtv/dvbcam.h	(revision 20066)
+++ libs/libmythtv/dvbcam.h	(working copy)
@@ -4,7 +4,7 @@
 #include <deque>
 using namespace std;
 
-#include <qmutex.h>
+#include <QMutex>
 
 #include "mpegtables.h"
 
Index: libs/libmythtv/scheduledrecording.h
===================================================================
--- libs/libmythtv/scheduledrecording.h	(revision 20066)
+++ libs/libmythtv/scheduledrecording.h	(working copy)
@@ -1,13 +1,13 @@
 #ifndef SCHEDULEDRECORDING_H
 #define SCHEDULEDRECORDING_H
 
-#include <qpointer.h>
+#include <QPointer>
 
 #include "settings.h"
 #include "recordingtypes.h"
+
 #include <list>
 
-
 using namespace std;
 
 class ProgramInfo;
Index: libs/libmythtv/datadirect.cpp
===================================================================
--- libs/libmythtv/datadirect.cpp	(revision 20066)
+++ libs/libmythtv/datadirect.cpp	(working copy)
@@ -7,6 +7,7 @@
 // Qt headers
 #include <QDir>
 #include <QFileInfo>
+#include <QTextStream>
 
 // MythTV headers
 #include "datadirect.h"
Index: libs/libmythtv/recorderbase.h
===================================================================
--- libs/libmythtv/recorderbase.h	(revision 20066)
+++ libs/libmythtv/recorderbase.h	(working copy)
@@ -2,11 +2,11 @@
 #ifndef RECORDERBASE_H_
 #define RECORDERBASE_H_
 
-#include <qmutex.h>
-#include <qstring.h>
-#include <qmap.h>
-#include <qsqldatabase.h>
-#include <qwaitcondition.h>
+#include <QMutex>
+#include <QString>
+#include <QMap>
+#include <QSqlDatabase>
+#include <QWaitCondition>
 
 #include <pthread.h>
 
Index: libs/libmythtv/channelutil.cpp
===================================================================
--- libs/libmythtv/channelutil.cpp	(revision 20066)
+++ libs/libmythtv/channelutil.cpp	(working copy)
@@ -4,11 +4,12 @@
 #include <set>
 using namespace std;
 
-#include <qregexp.h>
 #include <stdint.h>
-#include <qimage.h>
-#include <qfile.h>
 
+#include <QRegExp>
+#include <QImage>
+#include <QFile>
+
 #include "channelutil.h"
 #include "mythdb.h"
 #include "dvbtables.h"
Index: libs/libmythtv/mpeg/premieretables.h
===================================================================
--- libs/libmythtv/mpeg/premieretables.h	(revision 20066)
+++ libs/libmythtv/mpeg/premieretables.h	(working copy)
@@ -2,8 +2,10 @@
 #ifndef _PRIVATE_TABLES_H_
 #define _PRIVATE_TABLES_H_
 
-#include <qstring.h>
+#include <QString>
+
 #include <stdint.h>  // uint32_t
+
 #include "mpegtables.h"
 #include "dvbdescriptors.h"
 
Index: libs/libmythtv/mpeg/tsstats.h
===================================================================
--- libs/libmythtv/mpeg/tsstats.h	(revision 20066)
+++ libs/libmythtv/mpeg/tsstats.h	(working copy)
@@ -3,8 +3,8 @@
 #ifndef __TS_STATS__
 #define __TS_STATS__
 
-#include <qstring.h>
-#include <qmap.h>
+#include <QString>
+#include <QMap>
 
 /** \class TSStats
  *  \brief Collects statistics on the number of TSPacket's seen on each PID.
Index: libs/libmythtv/mpeg/premieredescriptors.h
===================================================================
--- libs/libmythtv/mpeg/premieredescriptors.h	(revision 20066)
+++ libs/libmythtv/mpeg/premieredescriptors.h	(working copy)
@@ -5,8 +5,8 @@
 #include <stdint.h>
 #include <inttypes.h>
 
-#include <qstring.h>
-#include <qdatetime.h>
+#include <QString>
+#include <QDateTime>
 
 #include "mpegdescriptors.h"
 
Index: libs/libmythtv/mpeg/iso639.h
===================================================================
--- libs/libmythtv/mpeg/iso639.h	(revision 20066)
+++ libs/libmythtv/mpeg/iso639.h	(working copy)
@@ -2,11 +2,14 @@
 #ifndef _ISO_639_2_H_
 #define _ISO_639_2_H_
 
-#include <qmap.h>
-#include <qstring.h>
-#include <qstringlist.h>
+#include <QMap>
+#include <QString>
+#include <QStringList>
+
 #include <vector>
+
 #include "mythexp.h"
+
 using namespace std;
 
 extern MPUBLIC QMap<int, QString> _iso639_key_to_english_name;
Index: libs/libmythtv/mpeg/freesat_huffman.h
===================================================================
--- libs/libmythtv/mpeg/freesat_huffman.h	(revision 20066)
+++ libs/libmythtv/mpeg/freesat_huffman.h	(working copy)
@@ -5,7 +5,7 @@
 #include <unistd.h>
 
 // Qt header
-#include <qstring.h>
+#include <QString>
 
 QString freesat_huffman_to_string(const unsigned char *compressed, uint size);
 
Index: libs/libmythtv/mpeg/dvbdescriptors.h
===================================================================
--- libs/libmythtv/mpeg/dvbdescriptors.h	(revision 20066)
+++ libs/libmythtv/mpeg/dvbdescriptors.h	(working copy)
@@ -6,8 +6,10 @@
 #include <cassert>
 #include <vector>
 #include <map>
-#include <qmutex.h>
-#include <qstring.h>
+
+#include <QMutex>
+#include <QString>
+
 #include "mythcontext.h"
 #include "mpegdescriptors.h"
 #include "../programinfo.h" // for subtitle types and audio and video properties
Index: libs/libmythtv/mpeg/mpegstreamdata.h
===================================================================
--- libs/libmythtv/mpeg/mpegstreamdata.h	(revision 20066)
+++ libs/libmythtv/mpeg/mpegstreamdata.h	(working copy)
@@ -6,8 +6,10 @@
 #include <vector>
 using namespace std;
 
-#include <qmap.h>
+#include <QMap>
+
 #include <stdint.h>  // uint64_t
+
 #include "tspacket.h"
 #include "util.h"
 #include "streamlisteners.h"
Index: libs/libmythtv/mpeg/atsc_huffman.h
===================================================================
--- libs/libmythtv/mpeg/atsc_huffman.h	(revision 20066)
+++ libs/libmythtv/mpeg/atsc_huffman.h	(working copy)
@@ -5,7 +5,7 @@
 #include <unistd.h>
 
 // Qt header
-#include <qstring.h>
+#include <QString>
 
 QString atsc_huffman1_to_string(const unsigned char *compressed,
                                 uint size, uint table);
Index: libs/libmythtv/mpeg/dvbtables.h
===================================================================
--- libs/libmythtv/mpeg/dvbtables.h	(revision 20066)
+++ libs/libmythtv/mpeg/dvbtables.h	(working copy)
@@ -3,8 +3,10 @@
 #ifndef _DVB_TABLES_H_
 #define _DVB_TABLES_H_
 
-#include <qstring.h>
+#include <QString>
+
 #include <stdint.h>  // uint32_t
+
 #include "mpegtables.h"
 #include "dvbdescriptors.h"
 
Index: libs/libmythtv/mpeg/dishdescriptors.h
===================================================================
--- libs/libmythtv/mpeg/dishdescriptors.h	(revision 20066)
+++ libs/libmythtv/mpeg/dishdescriptors.h	(working copy)
@@ -6,8 +6,9 @@
 #include <cassert>
 
 using namespace std;
-#include <qstring.h>
 
+#include <QString>
+
 #include "mythcontext.h"
 #include "atscdescriptors.h"
 
Index: libs/libmythtv/mpeg/freesat_huffman.cpp
===================================================================
--- libs/libmythtv/mpeg/freesat_huffman.cpp	(revision 20066)
+++ libs/libmythtv/mpeg/freesat_huffman.cpp	(working copy)
@@ -1,6 +1,6 @@
 #include "freesat_huffman.h"
 
-#include <qstring.h>
+#include <QString>
 
 struct fsattab {
     unsigned int value;
Index: libs/libmythtv/inputinfo.h
===================================================================
--- libs/libmythtv/inputinfo.h	(revision 20066)
+++ libs/libmythtv/inputinfo.h	(working copy)
@@ -3,8 +3,8 @@
 #define _INPUTINFO_H_
 
 // Qt headers
-#include <qstringlist.h>
-#include <qmap.h>
+#include <QStringList>
+#include <QMap>
 
 // MythTV headers
 #include "channelutil.h" // for DBChanList
Index: libs/libmythtv/infostructs.cpp
===================================================================
--- libs/libmythtv/infostructs.cpp	(revision 20066)
+++ libs/libmythtv/infostructs.cpp	(working copy)
@@ -1,10 +1,10 @@
-#include <qdatetime.h>
-#include <qpixmap.h>
-#include <qimage.h>
-#include <qstring.h>
-#include <qfile.h>
-#include <qsqlquery.h>
-#include <qapplication.h>
+#include <QDateTime>
+#include <QPixmap>
+#include <QImage>
+#include <QString>
+#include <QFile>
+#include <QSqlQuery>
+#include <QApplication>
 
 #include "infostructs.h"
 #include "mythcontext.h"
Index: libs/libmythtv/jobqueue.h
===================================================================
--- libs/libmythtv/jobqueue.h	(revision 20066)
+++ libs/libmythtv/jobqueue.h	(working copy)
@@ -1,13 +1,14 @@
 #ifndef JOBQUEUE_H_
 #define JOBQUEUE_H_
 
-#include <qobject.h>
-#include <qmap.h>
-#include <qmutex.h>
-#include <qobject.h>
-#include <qsqldatabase.h>
+#include <QObject>
+#include <QMap>
+#include <QMutex>
+#include <QObject>
+#include <QSqlDatabase>
 #include <QEvent>
-#include <qwaitcondition.h>
+#include <QWaitCondition>
+
 #include <pthread.h>
 
 
Index: libs/libmythtv/firewiresignalmonitor.h
===================================================================
--- libs/libmythtv/firewiresignalmonitor.h	(revision 20066)
+++ libs/libmythtv/firewiresignalmonitor.h	(working copy)
@@ -3,9 +3,9 @@
 #ifndef _FIREWIRESIGNALMONITOR_H_
 #define _FIREWIRESIGNALMONITOR_H_
 
-#include <qmap.h>
-#include <qmutex.h>
-#include <qdatetime.h>
+#include <QMap>
+#include <QMutex>
+#include <QDateTime>
 
 #include "dtvsignalmonitor.h"
 #include "firewiredevice.h"
Index: libs/libmythtv/osd.h
===================================================================
--- libs/libmythtv/osd.h	(revision 20066)
+++ libs/libmythtv/osd.h	(working copy)
@@ -3,19 +3,19 @@
 
 #include <deque>
 #include <vector>
+#include <ctime>
 using namespace std;
 
-#include <qstring.h>
-#include <qstringlist.h>
-#include <qrect.h>
-#include <qpoint.h>
+#include <QString>
+#include <QStringList>
+#include <QRect>
+#include <QPoint>
 #include <QKeyEvent>
-#include <ctime>
-#include <qmap.h>
-#include <qdom.h>
-#include <qmutex.h>
-#include <qobject.h>
-#include <qregexp.h>
+#include <QMap>
+#include <QMutex>
+#include <QDomElement>
+#include <QObject>
+#include <QRegExp>
 
 // Mythtv Headers
 #include "themeinfo.h"
@@ -50,7 +50,6 @@
 extern const char *kOSDDialogInfo;
 extern const char *kOSDDialogEditChannel;
 
-class QImage;
 class TTFFont;
 class OSDSet;
 class OSDTypeImage;
@@ -60,7 +59,6 @@
 class TV;
 class UDPNotifyOSDSet;
 class OSDListTreeType;
-class QKeyEvent;
 class OSDGenericTree;
 class ccText;
 class CC708Service;
Index: libs/libmythtv/dvbtypes.h
===================================================================
--- libs/libmythtv/dvbtypes.h	(revision 20066)
+++ libs/libmythtv/dvbtypes.h	(working copy)
@@ -45,7 +45,6 @@
   #define dvb_fe_params dvb_frontend_parameters
 #endif
 
-class QString;
 QString toString(fe_status);
 
 #endif // DVB_TYPES_H
Index: libs/libmythtv/tv_play.cpp
===================================================================
--- libs/libmythtv/tv_play.cpp	(revision 20066)
+++ libs/libmythtv/tv_play.cpp	(working copy)
@@ -6,6 +6,9 @@
 #include <pthread.h>
 
 #include <algorithm>
+#include <QTimerEvent>
+#include <QResizeEvent>
+
 using namespace std;
 
 #include <QApplication>
@@ -15,6 +18,7 @@
 #include <QDir>
 #include <QKeyEvent>
 #include <QEvent>
+#include <QUdpSocket>
 
 #include "mythdb.h"
 #include "tv_play.h"
Index: libs/libmythtv/videodisplayprofile.h
===================================================================
--- libs/libmythtv/videodisplayprofile.h	(revision 20066)
+++ libs/libmythtv/videodisplayprofile.h	(working copy)
@@ -6,10 +6,10 @@
 #include <vector>
 using namespace std;
 
-#include <qstringlist.h>
-#include <qmutex.h>
-#include <qsize.h>
-#include <qmap.h>
+#include <QStringList>
+#include <QMutex>
+#include <QSize>
+#include <QMap>
 
 #include "mythcontext.h"
 
Index: libs/libmythtv/remoteencoder.h
===================================================================
--- libs/libmythtv/remoteencoder.h	(revision 20066)
+++ libs/libmythtv/remoteencoder.h	(working copy)
@@ -1,9 +1,9 @@
 #ifndef REMOTEENCODER_H_
 #define REMOTEENCODER_H_
 
-#include <qstringlist.h>
-#include <qmutex.h>
-#include <qmap.h>
+#include <QStringList>
+#include <QMutex>
+#include <QMap>
 
 #include "mythexp.h"
 #include "videoouttypes.h"
Index: libs/libmythtv/videoout_directfb.h
===================================================================
--- libs/libmythtv/videoout_directfb.h	(revision 20066)
+++ libs/libmythtv/videoout_directfb.h	(working copy)
@@ -1,7 +1,7 @@
 #ifndef VIDEOOUT_DIRECTFB_H
 #define VIDEOOUT_DIRECTFB_H
 
-#include <qobject.h>
+#include <QObject>
 #include "videooutbase.h"
 
 class NuppelVideoPlayer;
Index: libs/libmythtv/videoout_xv.h
===================================================================
--- libs/libmythtv/videoout_xv.h	(revision 20066)
+++ libs/libmythtv/videoout_xv.h	(working copy)
@@ -2,7 +2,6 @@
 #define VIDEOOUT_XV_H_
 
 #include <set>
-#include <qwindowdefs.h>
 
 #include "DisplayRes.h"
 #include "videooutbase.h"
Index: libs/libmythtv/siscan.h
===================================================================
--- libs/libmythtv/siscan.h	(revision 20066)
+++ libs/libmythtv/siscan.h	(working copy)
@@ -6,11 +6,11 @@
 #include <pthread.h>
 
 // Qt includes
-#include <qobject.h>
-#include <qstring.h>
-#include <qmap.h>
-#include <qmutex.h>
-#include <qdatetime.h>
+#include <QObject>
+#include <QString>
+#include <QMap>
+#include <QMutex>
+#include <QDateTime>
 
 // MythTV includes
 #include "frequencytables.h"
Index: libs/libmythtv/xvmctextures.h
===================================================================
--- libs/libmythtv/xvmctextures.h	(revision 20066)
+++ libs/libmythtv/xvmctextures.h	(working copy)
@@ -3,7 +3,7 @@
 #ifndef _XVMC_TEXTURES_H_
 #define _XVMC_TEXTURES_H_
 
-#include <qsize.h>
+#include <QSize>
 
 class OSD;
 
Index: libs/libmythtv/dvbcam.cpp
===================================================================
--- libs/libmythtv/dvbcam.cpp	(revision 20066)
+++ libs/libmythtv/dvbcam.cpp	(working copy)
@@ -33,8 +33,8 @@
  *
  */
 
-#include <qdatetime.h>
-#include <qvariant.h>
+#include <QDateTime>
+#include <QVariant>
 
 #include <iostream>
 #include <vector>
Index: libs/libmythtv/profilegroup.cpp
===================================================================
--- libs/libmythtv/profilegroup.cpp	(revision 20066)
+++ libs/libmythtv/profilegroup.cpp	(working copy)
@@ -5,9 +5,12 @@
 #include "mythdb.h"
 #include "mythuihelper.h"
 #include "cardutil.h"
-#include <qsqldatabase.h>
-#include <qcursor.h>
-#include <qlayout.h>
+
+#include <QSqlDatabase>
+#include <QCursor>
+#include <QLayout>
+#include <Q3VBoxLayout>
+
 #include <iostream>
 
 QString ProfileGroupStorage::GetWhereClause(MSqlBindings &bindings) const
@@ -259,7 +262,7 @@
         float wmult = 0.0f, hmult  = 0.0f;
         GetMythUI()->GetScreenSettings(width, wmult, height, hmult);
 
-        QVBoxLayout *layout = new QVBoxLayout(dialog);
+        Q3VBoxLayout *layout = new Q3VBoxLayout(dialog);
         layout->setMargin((int)(20 * hmult));
         layout->addWidget(listbox->configWidget(NULL, dialog));
 
Index: libs/libmythtv/cc608decoder.h
===================================================================
--- libs/libmythtv/cc608decoder.h	(revision 20066)
+++ libs/libmythtv/cc608decoder.h	(working copy)
@@ -8,8 +8,8 @@
 #include <vector>
 using namespace std;
 
-#include <qmutex.h>
-#include <qstringlist.h>
+#include <QMutex>
+#include <QStringList>
 
 #include "format.h"
 
Index: libs/libmythtv/iptvchannel.h
===================================================================
--- libs/libmythtv/iptvchannel.h	(revision 20066)
+++ libs/libmythtv/iptvchannel.h	(working copy)
@@ -10,7 +10,7 @@
 #include "dtvchannel.h"
 #include "iptvchannelinfo.h"
 
-#include <qmutex.h>
+#include <QMutex>
 
 class IPTVFeederWrapper;
 
Index: libs/libmythtv/XvMCSurfaceTypes.h
===================================================================
--- libs/libmythtv/XvMCSurfaceTypes.h	(revision 20066)
+++ libs/libmythtv/XvMCSurfaceTypes.h	(working copy)
@@ -5,10 +5,11 @@
 #ifdef USING_XVMC
 
 #include <QString>
+#include <QEvent>
 
-#include <qwindowdefs.h>
+#include <X11/extensions/XvMC.h>
+
 #include "mythcontext.h"
-#include <X11/extensions/XvMC.h>
 #include "util-x11.h"
 #include "fourcc.h"
 
Index: libs/libmythtv/scanwizardscanner.h
===================================================================
--- libs/libmythtv/scanwizardscanner.h	(revision 20066)
+++ libs/libmythtv/scanwizardscanner.h	(working copy)
@@ -36,7 +36,7 @@
 #include <pthread.h>
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 #include <QEvent>
 
 // MythTV headers
Index: libs/libmythtv/dvbstreamhandler.cpp
===================================================================
--- libs/libmythtv/dvbstreamhandler.cpp	(revision 20066)
+++ libs/libmythtv/dvbstreamhandler.cpp	(working copy)
@@ -10,7 +10,7 @@
 #include <sys/ioctl.h>
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 // MythTV headers
 #include "dvbstreamhandler.h"
Index: libs/libmythtv/remoteutil.cpp
===================================================================
--- libs/libmythtv/remoteutil.cpp	(revision 20066)
+++ libs/libmythtv/remoteutil.cpp	(working copy)
@@ -1,5 +1,6 @@
-#include <qfile.h>
-#include <qstringlist.h>
+#include <QFile>
+#include <QStringList>
+
 #include <unistd.h>
 
 #include "remoteutil.h"
Index: libs/libmythtv/sr_items.h
===================================================================
--- libs/libmythtv/sr_items.h	(revision 20066)
+++ libs/libmythtv/sr_items.h	(working copy)
@@ -1,6 +1,8 @@
 #ifndef SR_ITEMS_H
 #define SR_ITEMS_H
-#include <qsqldatabase.h>
+
+#include <QSqlDatabase>
+
 #include "mythcontext.h"
 #include "mythdbcon.h"
 #include "managedlist.h"
Index: libs/libmythtv/RingBuffer.h
===================================================================
--- libs/libmythtv/RingBuffer.h	(revision 20066)
+++ libs/libmythtv/RingBuffer.h	(working copy)
@@ -3,9 +3,10 @@
 #ifndef RINGBUFFER
 #define RINGBUFFER
 
-#include <qstring.h>
-#include <qwaitcondition.h>
-#include <qmutex.h>
+#include <QString>
+#include <QWaitCondition>
+#include <QMutex>
+
 #include <pthread.h>
 
 extern "C" {
Index: libs/libmythtv/eitscanner.h
===================================================================
--- libs/libmythtv/eitscanner.h	(revision 20066)
+++ libs/libmythtv/eitscanner.h	(working copy)
@@ -3,12 +3,12 @@
 #define EITSCANNER_H
 
 // Qt includes
-#include <qmutex.h>
-#include <qobject.h>
-#include <qdatetime.h>
-#include <qstringlist.h>
-#include <qwaitcondition.h>
-#include <qthread.h>
+#include <QMutex>
+#include <QObject>
+#include <QDateTime>
+#include <QStringList>
+#include <QWaitCondition>
+#include <QThread>
 
 class TVRec;
 class ChannelBase;
Index: libs/libmythtv/iptv/iptvfeeder.h
===================================================================
--- libs/libmythtv/iptv/iptvfeeder.h	(revision 20066)
+++ libs/libmythtv/iptv/iptvfeeder.h	(working copy)
@@ -7,7 +7,8 @@
 #ifndef _IPTV_FEEDER_H_
 #define _IPTV_FEEDER_H_
 
-class QString;
+#include <QString>
+
 class TSDataListener;
 
 /** \class IPTVFeeder
Index: libs/libmythtv/iptv/iptvfeederwrapper.h
===================================================================
--- libs/libmythtv/iptv/iptvfeederwrapper.h	(revision 20066)
+++ libs/libmythtv/iptv/iptvfeederwrapper.h	(working copy)
@@ -10,8 +10,8 @@
 #include <vector>
 using namespace std;
 
-#include <qmutex.h>
-#include <qstring.h>
+#include <QMutex>
+#include <QString>
 
 class IPTVFeeder;
 class TSDataListener;
Index: libs/libmythtv/iptv/iptvmediasink.h
===================================================================
--- libs/libmythtv/iptv/iptvmediasink.h	(revision 20066)
+++ libs/libmythtv/iptv/iptvmediasink.h	(working copy)
@@ -10,7 +10,7 @@
 #include <vector>
 using namespace std;
 
-#include <qmutex.h>
+#include <QMutex>
 
 #include <MediaSink.hh>
 
Index: libs/libmythtv/iptv/iptvchannelfetcher.h
===================================================================
--- libs/libmythtv/iptv/iptvchannelfetcher.h	(revision 20066)
+++ libs/libmythtv/iptv/iptvchannelfetcher.h	(working copy)
@@ -2,9 +2,9 @@
 #define _IPTVCHANNELFETCHER_H_
 
 // Qt headers
-#include <qobject.h>
-#include <qmutex.h>
-#include <qthread.h>
+#include <QObject>
+#include <QMutex>
+#include <QThread>
 
 // MythTV headers
 #include "iptvchannelinfo.h"
Index: libs/libmythtv/iptv/iptvfeederlive.h
===================================================================
--- libs/libmythtv/iptv/iptvfeederlive.h	(revision 20066)
+++ libs/libmythtv/iptv/iptvfeederlive.h	(working copy)
@@ -12,13 +12,12 @@
 using namespace std;
 
 // Qt headers
-#include <qwaitcondition.h>
-#include <qmutex.h>
+#include <QWaitCondition>
+#include <QMutex>
 
 // Mythtv headers
 #include "iptvfeeder.h"
 
-class QString;
 class TSDataListener;
 class UsageEnvironment;
 
Index: libs/libmythtv/iptv/iptvchannelinfo.h
===================================================================
--- libs/libmythtv/iptv/iptvchannelinfo.h	(revision 20066)
+++ libs/libmythtv/iptv/iptvchannelinfo.h	(working copy)
@@ -6,8 +6,8 @@
 #ifndef _IPTV_CHANNELINFO_H_
 #define _IPTV_CHANNELINFO_H_
 
-#include <qmap.h>
-#include <qstring.h>
+#include <QMap>
+#include <QString>
 
 class IPTVChannelInfo
 {
Index: libs/libmythtv/programdata.h
===================================================================
--- libs/libmythtv/programdata.h	(revision 20066)
+++ libs/libmythtv/programdata.h	(working copy)
@@ -2,10 +2,10 @@
 #define _PROGRAMDATA_H_
 
 // Qt headers
-#include <qstring.h>
-#include <qdatetime.h>
+#include <QString>
+#include <QDateTime>
 #include <QList>
-#include <qmap.h>
+#include <QMap>
 
 // MythTV headers
 #include "mythexp.h"
Index: libs/libmythtv/transporteditor.h
===================================================================
--- libs/libmythtv/transporteditor.h	(revision 20066)
+++ libs/libmythtv/transporteditor.h	(working copy)
@@ -32,7 +32,8 @@
 #ifndef _TRANSPORT_EDITOR_H_
 #define _TRANSPORT_EDITOR_H_
 
-#include <qobject.h>
+#include <QObject>
+
 #include "settings.h"
 
 class VideoSourceSelector;
Index: libs/libmythtv/avformatdecoder.h
===================================================================
--- libs/libmythtv/avformatdecoder.h	(revision 20066)
+++ libs/libmythtv/avformatdecoder.h	(working copy)
@@ -1,8 +1,8 @@
 #ifndef AVFORMATDECODER_H_
 #define AVFORMATDECODER_H_
 
-#include <qstring.h>
-#include <qmap.h>
+#include <QString>
+#include <QMap>
 #include <QList>
 
 #include "programinfo.h"
Index: libs/libmythtv/tv_rec.cpp
===================================================================
--- libs/libmythtv/tv_rec.cpp	(revision 20066)
+++ libs/libmythtv/tv_rec.cpp	(working copy)
@@ -11,8 +11,8 @@
 using namespace std;
 
 // Qt headers
-#include <qapplication.h>
-#include <qsqldatabase.h>
+#include <QApplication>
+#include <QSqlDatabase>
 
 // MythTV headers
 #include "mythconfig.h"
Index: libs/libmythtv/xbox.h
===================================================================
--- libs/libmythtv/xbox.h	(revision 20066)
+++ libs/libmythtv/xbox.h	(working copy)
@@ -1,9 +1,9 @@
 #ifndef XBOX_H_
 #define XBOX_H_
 
-#include <qobject.h>
-#include <qtimer.h>
-#include <qstringlist.h>
+#include <QObject>
+#include <QTimer>
+#include <QStringList>
 
 #include "mythexp.h"
 
Index: libs/libmythtv/videoout_dvdv.h
===================================================================
--- libs/libmythtv/videoout_dvdv.h	(revision 20066)
+++ libs/libmythtv/videoout_dvdv.h	(working copy)
@@ -6,7 +6,6 @@
 
 #include "frame.h"
 
-class QSize;
 class AVCodecContext;
 struct DVDV_Private;
 struct AVCodecContext;
Index: libs/libmythtv/previewgenerator.h
===================================================================
--- libs/libmythtv/previewgenerator.h	(revision 20066)
+++ libs/libmythtv/previewgenerator.h	(working copy)
@@ -4,8 +4,8 @@
 
 #include <pthread.h>
 
-#include <qstring.h>
-#include <qmutex.h>
+#include <QString>
+#include <QMutex>
 
 #include "programinfo.h"
 #include "util.h"
Index: libs/libmythtv/videooutbase.h
===================================================================
--- libs/libmythtv/videooutbase.h	(revision 20066)
+++ libs/libmythtv/videooutbase.h	(working copy)
@@ -13,7 +13,6 @@
 #include <QString>
 #include <QPoint>
 #include <QMap>
-#include <qwindowdefs.h>
 
 #include "videobuffers.h"
 #include "mythcodecid.h"
Index: libs/libmythtv/videoout_dvdv.mm
===================================================================
--- libs/libmythtv/videoout_dvdv.mm	(revision 20066)
+++ libs/libmythtv/videoout_dvdv.mm	(working copy)
@@ -11,11 +11,11 @@
 #import <AGL/agl.h>
 #import <OpenGL/glext.h>
 
-#include <qmutex.h>
-#include <qstring.h>
-#include <q3ptrqueue.h>
-#include <qmap.h>
-#include <qsize.h>
+#include <QMutex>
+#include <QString>
+#include <Q3PtrQueue>
+#include <QMap>
+#include <QSize>
 
 #include "libmyth/mythconfig.h"
 #include "libmyth/mythverbose.h"
Index: libs/libmythtv/iptvrecorder.h
===================================================================
--- libs/libmythtv/iptvrecorder.h	(revision 20066)
+++ libs/libmythtv/iptvrecorder.h	(working copy)
@@ -8,7 +8,7 @@
 #ifndef _IPTV_RECORDER_H_
 #define _IPTV_RECORDER_H_
 
-#include <qwaitcondition.h>
+#include <QWaitCondition>
 
 #include "dtvrecorder.h"
 #include "streamlisteners.h"
Index: libs/libmythtv/textsubtitleparser.cpp
===================================================================
--- libs/libmythtv/textsubtitleparser.cpp	(revision 20066)
+++ libs/libmythtv/textsubtitleparser.cpp	(working copy)
@@ -8,8 +8,9 @@
 #include <cstring>
 #include <climits>
 #include <algorithm>
-#include <qtextcodec.h>
 
+#include <QTextCodec>
+
 #include "mythcontext.h"
 
 using std::lower_bound;
Index: libs/libmythtv/ThreadedFileWriter.h
===================================================================
--- libs/libmythtv/ThreadedFileWriter.h	(revision 20066)
+++ libs/libmythtv/ThreadedFileWriter.h	(working copy)
@@ -3,10 +3,11 @@
 #define TFW_H_
 
 #include <pthread.h>
-#include <qmutex.h>
-#include <qwaitcondition.h>
-#include <qstring.h>
 
+#include <QMutex>
+#include <QWaitCondition>
+#include <QString>
+
 class ThreadedFileWriter
 {
   public:
Index: libs/libmythtv/videobuffers.h
===================================================================
--- libs/libmythtv/videobuffers.h	(revision 20066)
+++ libs/libmythtv/videobuffers.h	(working copy)
@@ -6,17 +6,17 @@
 extern "C" {
 #include "frame.h"
 }
+
+#include <QMutex>
+#include <QString>
+#include <QWaitCondition>
+#include <qwindowdefs.h>
+
 #include <vector>
 #include <map>
-#include <qmutex.h>
-#include <qstring.h>
-#include <qwaitcondition.h>
+
 #include "mythdeque.h"
 
-#ifdef USING_XVMC
-#include <qwindowdefs.h>
-#endif // USING_XVMC
-
 #ifdef USING_VDPAU
 class VDPAUContext;
 #endif
